searchNodes=[{"type":"module","title":"Replicate","doc":"This is the Official Elixir client for Replicate . It lets you run models from your Elixir code, and do various other things on Replicate.","ref":"Replicate.html"},{"type":"function","title":"Replicate.run/2","doc":"Synchronously run a prediction in the format owner/name:version. Returns the output. You can also use Replicate.Predictions.create and Replicate.Predictions.wait directly. Examples iex&gt; Replicate . run ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ]","ref":"Replicate.html#run/2"},{"type":"module","title":"Replicate.Client","doc":"Documentation for the Client","ref":"Replicate.Client.html"},{"type":"function","title":"Replicate.Client.request/2","doc":"Callback implementation for Replicate.Client.Behaviour.request/2 .","ref":"Replicate.Client.html#request/2"},{"type":"function","title":"Replicate.Client.request/3","doc":"Callback implementation for Replicate.Client.Behaviour.request/3 .","ref":"Replicate.Client.html#request/3"},{"type":"function","title":"Replicate.Client.wait/1","doc":"Callback implementation for Replicate.Client.Behaviour.wait/1 .","ref":"Replicate.Client.html#wait/1"},{"type":"behaviour","title":"Replicate.Client.Behaviour","doc":"Documentation for the Client Behaviour","ref":"Replicate.Client.Behaviour.html"},{"type":"callback","title":"Replicate.Client.Behaviour.request/2","doc":"","ref":"Replicate.Client.Behaviour.html#c:request/2"},{"type":"callback","title":"Replicate.Client.Behaviour.request/3","doc":"","ref":"Replicate.Client.Behaviour.html#c:request/3"},{"type":"callback","title":"Replicate.Client.Behaviour.wait/1","doc":"","ref":"Replicate.Client.Behaviour.html#c:wait/1"},{"type":"module","title":"Replicate.MockClient","doc":"A mock version of Replicate.Client . Only used for testing.","ref":"Replicate.MockClient.html"},{"type":"function","title":"Replicate.MockClient.request/2","doc":"","ref":"Replicate.MockClient.html#request/2"},{"type":"function","title":"Replicate.MockClient.request/3","doc":"","ref":"Replicate.MockClient.html#request/3"},{"type":"function","title":"Replicate.MockClient.wait/1","doc":"","ref":"Replicate.MockClient.html#wait/1"},{"type":"module","title":"Replicate.Models","doc":"Documentation for Models .","ref":"Replicate.Models.html"},{"type":"function","title":"Replicate.Models.get/1","doc":"Gets a model from a owner/name string. Returns {:error, &quot;Not found&quot;} if the model doesn't exist. Examples iex&gt; { :ok , % Model { owner : owner , name : name } } = Replicate.Models . get ( &quot;replicate/hello-world&quot; ) iex&gt; owner &quot;replicate&quot; iex&gt; name &quot;hello-world&quot;","ref":"Replicate.Models.html#get/1"},{"type":"function","title":"Replicate.Models.get!/1","doc":"Gets a model from a owner/name string. Raises an error if the model doesn't exist. Examples iex&gt; % Model { owner : owner , name : name } = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; owner &quot;replicate&quot; iex&gt; name &quot;hello-world&quot;","ref":"Replicate.Models.html#get!/1"},{"type":"function","title":"Replicate.Models.get_latest_version!/1","doc":"Gets the latest version of a model. Raises an error if the version doesn't exist. Examples iex&gt; model = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; version = Replicate.Models . get_latest_version! ( model ) iex&gt; version . id &quot;v2&quot;","ref":"Replicate.Models.html#get_latest_version!/1"},{"type":"function","title":"Replicate.Models.get_version!/2","doc":"Gets a version of a model. Raises an error if the version doesn't exist. Examples iex&gt; model = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;v2&quot; ) iex&gt; version . id &quot;v2&quot;","ref":"Replicate.Models.html#get_version!/2"},{"type":"function","title":"Replicate.Models.list_versions/1","doc":"Returns a list of all versions for a model. Examples iex&gt; model = Replicate.Models . get! ( &quot;replicate/hello-world&quot; ) iex&gt; versions = Replicate.Models . list_versions ( model ) iex&gt; % Replicate.Models.Version { id : id , cog_version : cog_version } = List . first ( versions ) iex&gt; id &quot;v1&quot; iex&gt; cog_version &quot;0.3.0&quot;","ref":"Replicate.Models.html#list_versions/1"},{"type":"behaviour","title":"Replicate.Models.Behaviour","doc":"Documentation for the Model Behaviour","ref":"Replicate.Models.Behaviour.html"},{"type":"callback","title":"Replicate.Models.Behaviour.get/1","doc":"","ref":"Replicate.Models.Behaviour.html#c:get/1"},{"type":"callback","title":"Replicate.Models.Behaviour.get!/1","doc":"","ref":"Replicate.Models.Behaviour.html#c:get!/1"},{"type":"callback","title":"Replicate.Models.Behaviour.get_latest_version!/1","doc":"","ref":"Replicate.Models.Behaviour.html#c:get_latest_version!/1"},{"type":"callback","title":"Replicate.Models.Behaviour.get_version!/2","doc":"","ref":"Replicate.Models.Behaviour.html#c:get_version!/2"},{"type":"callback","title":"Replicate.Models.Behaviour.list_versions/1","doc":"","ref":"Replicate.Models.Behaviour.html#c:list_versions/1"},{"type":"module","title":"Replicate.Models.Model","doc":"Model struct.","ref":"Replicate.Models.Model.html"},{"type":"module","title":"Replicate.Models.Version","doc":"Version struct.","ref":"Replicate.Models.Version.html"},{"type":"module","title":"Replicate.Predictions","doc":"Documentation for Predictions .","ref":"Replicate.Predictions.html"},{"type":"function","title":"Replicate.Predictions.cancel/1","doc":"Cancels a prediction given an id or %Prediction{} . Examples iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( &quot;1234&quot; ) iex&gt; prediction . status &quot;canceled&quot; iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( prediction ) iex&gt; prediction . status &quot;canceled&quot; If a prediction is completed, it cannot be canceled. iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . wait ( prediction ) iex&gt; prediction . status &quot;succeeded&quot; # iex&gt; {:ok, prediction} = Replicate.Predictions.cancel(prediction.id) # iex&gt; prediction.status # &quot;succeeded&quot;","ref":"Replicate.Predictions.html#cancel/1"},{"type":"function","title":"Replicate.Predictions.create/6","doc":"Creates a prediction. You can optionally provide a webhook to be notified when the prediction is completed. The input parameter should be a map of the model inputs. Examples iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } , &quot;https://example.com/webhook&quot; ) iex&gt; prediction . status &quot;starting&quot;","ref":"Replicate.Predictions.html#create/6"},{"type":"function","title":"Replicate.Predictions.get/1","doc":"Gets a prediction by id. Examples iex&gt; { :ok , prediction } = Replicate.Predictions . get ( &quot;1234&quot; ) iex&gt; prediction . status &quot;succeeded&quot; iex&gt; Replicate.Predictions . get ( &quot;not_a_real_id&quot; ) { :error , &quot;Not found&quot; }","ref":"Replicate.Predictions.html#get/1"},{"type":"function","title":"Replicate.Predictions.get!/1","doc":"Gets a prediction by id and fails if it doesn't exist. ## Examples iex&gt; prediction = Replicate.Predictions . get! ( &quot;1234&quot; ) iex&gt; prediction . id &quot;1234&quot; iex&gt; Replicate.Predictions . get! ( &quot;not_a_real_id&quot; ) ** (RuntimeError) Not found","ref":"Replicate.Predictions.html#get!/1"},{"type":"function","title":"Replicate.Predictions.list/0","doc":"Lists all the predictions you've run. Examples iex&gt; Replicate.Predictions . list ( ) [ % Prediction { id : &quot;1234&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] , urls : %{ &quot;get&quot; =&gt; &quot;https://api.replicate.com/v1/predictions/1234&quot; , &quot;cancel&quot; =&gt; &quot;https://api.replicate.com/v1/predictions/1234/cancel&quot; , } } , % Prediction { id : &quot;1235&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] , urls : %{ &quot;get&quot; =&gt; &quot;https://api.replicate.com/v1/predictions/1235&quot; , &quot;cancel&quot; =&gt; &quot;https://api.replicate.com/v1/predictions/1235/cancel&quot; } } ]","ref":"Replicate.Predictions.html#list/0"},{"type":"function","title":"Replicate.Predictions.wait/1","doc":"Waits for a prediction to complete. Examples iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . wait ( prediction ) iex&gt; prediction . status &quot;succeeded&quot;","ref":"Replicate.Predictions.html#wait/1"},{"type":"behaviour","title":"Replicate.Predictions.Behaviour","doc":"Documentation for the Predictions Behaviour","ref":"Replicate.Predictions.Behaviour.html"},{"type":"callback","title":"Replicate.Predictions.Behaviour.cancel/1","doc":"","ref":"Replicate.Predictions.Behaviour.html#c:cancel/1"},{"type":"callback","title":"Replicate.Predictions.Behaviour.create/5","doc":"","ref":"Replicate.Predictions.Behaviour.html#c:create/5"},{"type":"callback","title":"Replicate.Predictions.Behaviour.get/1","doc":"","ref":"Replicate.Predictions.Behaviour.html#c:get/1"},{"type":"callback","title":"Replicate.Predictions.Behaviour.get!/1","doc":"","ref":"Replicate.Predictions.Behaviour.html#c:get!/1"},{"type":"callback","title":"Replicate.Predictions.Behaviour.list/0","doc":"","ref":"Replicate.Predictions.Behaviour.html#c:list/0"},{"type":"module","title":"Replicate.Predictions.Prediction","doc":"Prediction struct.","ref":"Replicate.Predictions.Prediction.html"},{"type":"extras","title":"Replicate","doc":"The official Elixir client for Replicate . It lets you run models from your Elixir code, and everything else you can do with Replicate's HTTP API.","ref":"readme.html"},{"type":"extras","title":"Replicate - Installation","doc":"Install by adding replicate to your list of dependencies in mix.exs : def deps do [ { :replicate , &quot;~&gt; 1.1.0&quot; } ] end","ref":"readme.html#installation"},{"type":"extras","title":"Replicate - Demo","doc":"Want to jump right in to building your own apps with Elixir and Replicate? Check out 🔮 Conjurer , a simple demo app we built with the Elixir client.","ref":"readme.html#demo"},{"type":"extras","title":"Replicate - Authenticate","doc":"After installation, you need to set your Replicate API token in your environment. Grab your token from replicate.com/account and set it as an environment variable: export REPLICATE_API_TOKEN = &lt; your token &gt; And run source .env . Then, add the config to your config.exs : config :replicate , replicate_api_token : System . get_env ( &quot;REPLICATE_API_TOKEN&quot; ) Now you can use Replicate to do cool machine learny stuff. 🚨 We recommend not adding the token directly to your source code, because you don't want to put your credentials in source control. If anyone used your API key, their usage would be charged to your account.","ref":"readme.html#authenticate"},{"type":"extras","title":"Replicate - Run a model","doc":"You can run a model synchronously: iex&gt; Replicate . run ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a watercolor of the babadook by Picasso&quot; ) [ &quot;https://replicate.delivery/pbxt/LgZ5BLmMWzqODp4rzSERXDNglStBTltHpj0533i9385qSgQE/out-0.png&quot; ]","ref":"readme.html#run-a-model"},{"type":"extras","title":"Replicate - Run a model in the background","doc":"You can start a model and run it in the background with Replicate.Predictions.create/5 : iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction . status &quot;starting&quot; We can take a look at the prediction: iex&gt; prediction % Replicate.Predictions.Prediction { id : &quot;krdjxq6rw5bx3dopem52ohezca&quot; , error : nil , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , logs : &quot;&quot; , output : nil , status : &quot;starting&quot; , version : &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , started_at : nil , created_at : &quot;2023-06-02T20:43:55.720751299Z&quot; , completed_at : nil } Get the latest status of the prediction with Replicate.Predictions.get/1 : iex&gt; { :ok , prediction } = Replicate.Predictions . get ( prediction . id ) iex&gt; prediction . logs |&gt; String . split ( &quot; \\n &quot; ) [ &quot;Using seed: 54144&quot; , &quot;input_shape: torch.Size([1, 77])&quot; , &quot; 0%| | 0/50 [00:00&lt;?, ?it/s]&quot; , &quot; 6%|▌ | 3/50 [00:00&lt;00:02, 21.14it/s]&quot; , &quot; 12%|█▏ | 6/50 [00:00&lt;00:02, 21.18it/s]&quot; , &quot; 18%|█▊ | 9/50 [00:00&lt;00:01, 21.20it/s]&quot; , &quot; 24%|██▍ | 12/50 [00:00&lt;00:01, 21.25it/s]&quot; , &quot; 30%|███ | 15/50 [00:00&lt;00:01, 21.21it/s]&quot; , &quot; 36%|███▌ | 18/50 [00:00&lt;00:01, 21.24it/s]&quot; , &quot; 42%|████▏ | 21/50 [00:00&lt;00:01, 21.23it/s]&quot; , &quot; 48%|████▊ | 24/50 [00:01&lt;00:01, 21.19it/s]&quot; , &quot; 54%|█████▍ | 27/50 [00:01&lt;00:01, 21.16it/s]&quot; , &quot; 60%|██████ | 30/50 [00:01&lt;00:00, 21.17it/s]&quot; , &quot; 66%|██████▌ | 33/50 [00:01&lt;00:00, 21.15it/s]&quot; , &quot; 72%|███████▏ | 36/50 [00:01&lt;00:00, 21.17it/s]&quot; , &quot; 78%|███████▊ | 39/50 [00:01&lt;00:00, 21.16it/s]&quot; , &quot; 84%|████████▍ | 42/50 [00:01&lt;00:00, 21.16it/s]&quot; , &quot; 90%|█████████ | 45/50 [00:02&lt;00:00, 21.16it/s]&quot; , &quot; 96%|█████████▌| 48/50 [00:02&lt;00:00, 20.99it/s]&quot; , &quot;100%|██████████| 50/50 [00:02&lt;00:00, 21.14it/s]&quot; , &quot;&quot; ] And wait for completion with Replicate.Predictions.wait/1 : iex&gt; { :ok , prediction } = Replicate.Predictions . wait ( prediction ) iex&gt; prediction . status &quot;succeeded&quot; iex&gt; prediction . output [ &quot;https://replicate.delivery/pbxt/xbT582euzFwqCiupR5PVyMUFemfgZHbPyAm5kenezBS3RDQIC/out-0.png&quot; ]","ref":"readme.html#run-a-model-in-the-background"},{"type":"extras","title":"Replicate - Run a model in the background and get a webhook","doc":"You can run a model and get a webhook when it completes, instead of waiting for it to finish: Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } , &quot;https://example.com/webhook&quot; , [ &quot;completed&quot; ] ) If you want to see a demo of how to use webhooks in production, check out 🔮 Conjurer .","ref":"readme.html#run-a-model-in-the-background-and-get-a-webhook"},{"type":"extras","title":"Replicate - Cancel a prediction","doc":"You can cancel a running prediction by passing an id or %Replicate.Predictions.Prediction{} to Replicate.Predictions.cancel/1 : iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;Watercolor painting of the Babadook&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( prediction . id ) iex&gt; prediction . status &quot;canceled&quot; iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( prediction ) iex&gt; prediction . status &quot;canceled&quot;","ref":"readme.html#cancel-a-prediction"},{"type":"extras","title":"Replicate - List predictions","doc":"You can list all the predictions you've run: iex&gt; Replicate.Predictions . list ( ) [ % Prediction { id : &quot;1234&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] } , % Prediction { id : &quot;1235&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] } ]","ref":"readme.html#list-predictions"},{"type":"extras","title":"Replicate - List versions of a model","doc":"You can list all the versions of a model: iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; versions = Replicate.Models . list_versions ( model ) iex&gt; Replicate.Models . list_versions ( model ) |&gt; Enum . map ( &amp; &amp;1 . id ) |&gt; Enum . slice ( 0 .. 5 ) [ &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , &quot;328bd9692d29d6781034e3acab8cf3fcb122161e6f5afb896a4ca9fd57090577&quot; , &quot;f178fa7a1ae43a9a9af01b833b9d2ecf97b1bcb0acfd2dc5dd04895e042863f1&quot; , &quot;0827b64897df7b6e8c04625167bbb275b9db0f14ab09e2454b9824141963c966&quot; , &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , &quot;8abccf52e7cba9f6e82317253f4a3549082e966db5584e92c808ece132037776&quot; ]","ref":"readme.html#list-versions-of-a-model"},{"type":"extras","title":"Replicate - Get latest version of a model","doc":"ELIXIR CLIENT EXCLUSIVE Gets the latest version of a model. Raises an error if the version doesn't exist. iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_latest_version! ( model ) iex&gt; version . id &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; iex&gt; version . cog_version &quot;0.6.0&quot;","ref":"readme.html#get-latest-version-of-a-model"},{"type":"extras","title":"Replicate - Load output files","doc":"Output files are returned as HTTPS URLs. Here's one way to load files without any dependencies: iex&gt; [ url | _rest ] = Replicate . run ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a watercolor of the babadook by Picasso&quot; ) iex&gt; url &quot;https://replicate.delivery/pbxt/LgZ5BLmMWzqODp4rzSERXDNglStBTltHpj0533i9385qSgQE/out-0.png&quot; iex&gt; { :ok , resp } = :httpc . request ( :get , { url , [ ] } , [ ] , [ body_format : :binary ] ) iex&gt; { { _ , 200 , &#39;OK&#39; } , _headers , body } = resp iex&gt; File . write! ( &quot;babadook_watercolor.jpg&quot; , body ) replicate-elixir","ref":"readme.html#load-output-files"},{"type":"extras","title":"Cheatsheet","doc":"This document is a cheatsheet on how to use the Replicate Elixir client .","ref":"cheatsheet.html"},{"type":"extras","title":"Cheatsheet - Models","doc":"Run a model Run a model with: iex&gt; Replicate . run ( &quot;stability-ai/stable-diffusion:db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , prompt : &quot;a 19th century portrait of a wombat gentleman&quot; ) [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] Run a model in the background You can start a model and run it in the background with Replicate.Predictions.create/5 : iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; prediction % Replicate.Predictions.Prediction { id : &quot;krdjxq6rw5bx3dopem52ohezca&quot; , error : nil , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , logs : &quot;&quot; , output : nil , status : &quot;starting&quot; , version : &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , started_at : nil , created_at : &quot;2023-06-02T20:43:55.720751299Z&quot; , completed_at : nil } iex&gt; { :ok , prediction } = Replicate.Predictions . get ( prediction . id ) Run a model in the background and get a webhook You can run a model and get a webhook when it completes, instead of waiting for it to finish: Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } , &quot;https://example.com/webhook&quot; , [ &quot;completed&quot; ] ) List versions of a model You can list all the versions of a model: iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; versions = Replicate.Models . list_versions ( model ) iex&gt; Replicate.Models . list_versions ( model ) |&gt; Enum . map ( &amp; &amp;1 . id ) |&gt; Enum . slice ( 0 .. 5 ) [ &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; , &quot;328bd9692d29d6781034e3acab8cf3fcb122161e6f5afb896a4ca9fd57090577&quot; , &quot;f178fa7a1ae43a9a9af01b833b9d2ecf97b1bcb0acfd2dc5dd04895e042863f1&quot; , &quot;0827b64897df7b6e8c04625167bbb275b9db0f14ab09e2454b9824141963c966&quot; , &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , &quot;8abccf52e7cba9f6e82317253f4a3549082e966db5584e92c808ece132037776&quot; ] Get latest version of a model ELIXIR CLIENT EXCLUSIVE Gets the latest version of a model. Raises an error if the version doesn't exist. iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_latest_version! ( model ) iex&gt; version . id &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; iex&gt; version . cog_version &quot;0.6.0&quot;","ref":"cheatsheet.html#models"},{"type":"extras","title":"Cheatsheet - Predictions","doc":"Cancel a prediction You can cancel a running prediction by passing an id or %Replicate.Predictions.Prediction{} to Replicate.Predictions.cancel/1 : iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;Watercolor painting of the Babadook&quot; } ) iex&gt; prediction . status &quot;starting&quot; iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( prediction . id ) iex&gt; prediction . status &quot;canceled&quot; iex&gt; model = Replicate.Models . get! ( &quot;stability-ai/stable-diffusion&quot; ) iex&gt; version = Replicate.Models . get_version! ( model , &quot;db21e45d3f7023abc2a46ee38a23973f6dce16bb082a930b0c49861f96d1e5bf&quot; ) iex&gt; { :ok , prediction } = Replicate.Predictions . create ( version , %{ prompt : &quot;a 19th century portrait of a wombat gentleman&quot; } ) iex&gt; { :ok , prediction } = Replicate.Predictions . cancel ( prediction ) iex&gt; prediction . status &quot;canceled&quot; List predictions You can list all the predictions you've run: iex&gt; Replicate.Predictions . list ( ) [ % Prediction { id : &quot;1234&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] } , % Prediction { id : &quot;1235&quot; , status : &quot;starting&quot; , input : %{ &quot;prompt&quot; =&gt; &quot;a 19th century portrait of a wombat gentleman&quot; } , version : &quot;27b93a2413e7f36cd83da926f3656280b2931564ff050bf9575f1fdf9bcd7478&quot; , output : [ &quot;https://replicate.com/api/models/stability-ai/stable-diffusion/files/50fcac81-865d-499e-81ac-49de0cb79264/out-0.png&quot; ] } ]","ref":"cheatsheet.html#predictions"},{"type":"extras","title":"CHANGELOG","doc":"Nothing to see here, yet!","ref":"changelog.html"}]